import { IconType } from '../../interface.js';
export declare class CpslQrCode {
    el: HTMLCpslQrCodeElement;
    /**
     * URL for the QR code to link to.
     */
    url: string;
    /**
     * Source for the center image of the QR code.
     */
    imageSrc?: string;
    /**
     * Size of the QR code in pixels.
     * Default is 250.
     */
    size?: number;
    /**
     * The name of the icon. If both `icon` and `src` are provided, `icon` will be used.
     */
    icon?: IconType;
    componentDidLoad(): void;
    private get imgEl();
    render(): any;
}
